ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-22137) Different stack versions should be able to link to different extension versions
Date Fri, 24 Nov 2017 21:00:00 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-22137?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16265529#comment-16265529
] 

Hudson commented on AMBARI-22137:
---------------------------------

FAILURE: Integrated in Jenkins build Ambari-branch-2.6 #482 (See [https://builds.apache.org/job/Ambari-branch-2.6/482/])
AMBARI-22137 - Different stack versions should be able to link to (tthorpe: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=d7b25eec2629822f90cac6de510f806b1004a8f7])
* (edit) ambari-server/src/test/resources/extensions/EXT/0.2/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HBASE/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/configuration/hdfs-site.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HIVE/metainfo.xml
* (edit) ambari-server/src/main/java/org/apache/ambari/server/controller/AmbariManagementHelper.java
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/repos/repoinfo.xml
* (edit) ambari-server/src/main/java/org/apache/ambari/server/stack/ExtensionHelper.java
* (edit) ambari-server/src/test/java/org/apache/ambari/server/stack/StackManagerExtensionTest.java
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/configuration/hadoop-env.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/configuration/hdfs-log4j.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/MAPREDUCE/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/configuration/global.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/configuration/hbase-site.xml
* (edit) ambari-server/src/test/resources/extensions/EXT/0.3/metainfo.xml
* (edit) ambari-server/src/main/java/org/apache/ambari/server/stack/StackModule.java
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/ZOOKEEPER/metainfo.xml
* (add) ambari-server/src/test/resources/stacks_with_extensions/HDP/0.4/services/HDFS/package/dummy-script.py


> Different stack versions should be able to link to different extension versions
> -------------------------------------------------------------------------------
>
>                 Key: AMBARI-22137
>                 URL: https://issues.apache.org/jira/browse/AMBARI-22137
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: trunk, 2.5.0
>            Reporter: Tim Thorpe
>            Assignee: Tim Thorpe
>             Fix For: trunk, 2.6.1
>
>         Attachments: AMBARI-22137.patch
>
>
> Currently if you have extension version 0.1 linked to HDP 2.5, you can't link extension
version 0.2 to HDP 2.6.
> Attempting to make that link will fail with an exception stating that the services included
in extension version 0.2 are already in HDP 2.6 (inherited from HDP 2.5 via the 0.1 version
of the extension).



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message